summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2007-04-06 22:09:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2007-04-06 22:09:21 +0000
commite73092f041d230a43cb400b8de5ed1b9cc11ff04 (patch)
tree6254c626f8c790cd9ac032285d0d621ef4462262
parentb183abaaa5f56cf26e79c8e3e3f7081ba05b3fff (diff)
downloadalpine-conf-e73092f041d230a43cb400b8de5ed1b9cc11ff04.tar.bz2
alpine-conf-e73092f041d230a43cb400b8de5ed1b9cc11ff04.tar.xz
added setup-mta and setup-problem-reporting
-rw-r--r--Makefile12
-rwxr-xr-xsetup-mta51
-rwxr-xr-xsetup-problem-reporting40
3 files changed, 98 insertions, 5 deletions
diff --git a/Makefile b/Makefile
index c6ddc0b..8c2c041 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-V=0.8_beta3
+V=0.8_beta6
P=alpine-conf
PV=$(P)-$(V)
APKF=$(PV).apk
@@ -8,13 +8,15 @@ TMP=$(PV)
LIB_FILES=libalpine.sh
SBIN_FILES=lbu\
- setup-interfaces\
+ setup-ads\
+ setup-alpine\
+ setup-cryptswap\
setup-dns\
setup-hostname\
- setup-alpine\
+ setup-interfaces\
+ setup-mta\
+ setup-problem-reporting\
setup-webconf\
- setup-cryptswap\
- setup-ads\
update-conf
EXTRA_DIST=Makefile README
diff --git a/setup-mta b/setup-mta
new file mode 100755
index 0000000..03af6bc
--- /dev/null
+++ b/setup-mta
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+PREFIX=
+. "$PREFIX/lib/libalpine.sh"
+
+conf="$ROOT/etc/ssmtp/ssmtp.conf"
+
+cfgval() {
+ awk -F= "/^$1/ {print \$2}" $conf 2>/dev/null
+}
+
+setcfg() {
+ local key=$1
+ local value=$2
+ sed -i "s/^\\(\\#\\)*$key=.*/$key=$value/" "$conf"
+ if ! grep "^$key=" "$conf" >/dev/null ; then
+ echo "$key=$value" >> "$conf"
+ fi
+}
+
+if [ -f "$conf" ] ; then
+ mailhub=$(cfgval mailhub)
+fi
+domain=$(hostname -d $hostname 2>/dev/null)
+if [ -z "$mailhub" ] ;then
+ if [ -n "$domain" ] ; then
+ mailhub="smtp.$domain"
+ else
+ mailhub=smtp
+ fi
+fi
+
+res=
+
+while [ "$res" != "221" ]; do
+ echon "Outgoing mail server? (e.g 'smtp.isp.com') [$mailhub] "
+ default_read mailhub $mailhub
+ echon "Test connection? (y/n) [y] "
+ default_read testconn "y"
+ case "$testconn" in
+ [Nn]*) break;;
+ esac
+ res=$(echo -e "quit\r\n" | nc $mailhub 25 | awk '/^221/ {print $1}')
+ [ "x$res" = "x221" ] && echo "Connection to $mailhub is ok."
+done
+
+apk_add ssmtp
+
+setcfg mailhub $mailhub
+setcfg FromLineOverride YES
+
diff --git a/setup-problem-reporting b/setup-problem-reporting
new file mode 100755
index 0000000..0b24a30
--- /dev/null
+++ b/setup-problem-reporting
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+PREFIX=
+. "$PREFIX/lib/libalpine.sh"
+
+conf="$ROOT/etc/gnats/send-pr.conf"
+
+cfgval() {
+ awk -F= "/^$1/ {print \$2}" "$ROOT/etc/ssmtp/ssmtp.conf" 2>/dev/null
+}
+
+email=$(awk -F= '/^FROM/ {print $2}' "$conf" 2>/dev/null)
+
+if [ -z "$email" ] ; then
+ hostname=$(cfgval hostname)
+ if [ -z "$hostname" ]; then
+ hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
+ fi
+else
+ hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
+fi
+domain=$(hostname -d $hostname 2>/dev/null)
+if [ -n "$hostname" -a -z "$email" ] ; then
+ email=$(whoami)@$hostname
+fi
+
+echon "Sender email address for problem reports? [$email] "
+default_read email $email
+
+if grep ^FROM "$conf" > /dev/null ; then
+ sed -i "s/FROM.*/FROM=$email/" "$conf"
+else
+ echo "FROM=$email" >> "$conf"
+fi
+
+setup-mta
+
+echo ""
+echo "Please run 'send-pr' to submit problem reports"
+